<form id="standalone-form" class="ReferentForm {% if form.readonly %}readonly{% endif %}" method="post" action="{{ request.path }}" autocomplete="off">
    {% csrf_token %}
    {% for hidden in form.hidden_fields %}{{ hidden }}{% endfor %}
    {% if client or form.instance.client %}
        <div class="nomclient mb-2">Client: <b>{{ client|default:form.instance.client }}</b></div>
    {% endif %}

    {% if form.contact_existant %}
    <div class="col form-group">
        {{ form.contact_existant.label_tag }} {{ form.contact_existant }} {{ form.contact_existant.errors }}
        <hr>
    </div>
    {% endif %}

    <div class="row mb-2">
        <div class="col form-group">
            {{ form.nom.label_tag }} {{ form.nom }} {{ form.nom.errors }}
        </div>
        <div class="col form-group">
            {{ form.prenom.label_tag }} {{ form.prenom }} {{ form.prenom.errors }}
        </div>
    </div>

    <div class="row mb-2">
        <div class="col form-group">
            {{ form.salutation.label_tag }} {{ form.salutation }} {{ form.salutation.errors }}
        </div>
        <div class="col form-group">
            {{ form.complement.label_tag }} {{ form.complement }} {{ form.complement.errors }}
        </div>
    </div

    <div class="form-group mb-2">
        {{ form.rue.label_tag }} {{ form.rue }} {{ form.rue.errors }}
    </div>
    <div class="row mb-2">
        <div class="col form-group">
            {{ form.npalocalite.label_tag }} {{ form.npalocalite }} {{ form.npalocalite.errors }}
        </div>
        <div class="col form-group">
            {{ form.pays.label_tag }} {{ form.pays }} {{ form.pays.errors }}
        </div>
    </div
    <div class="form-group mb-2">
        {{ form.courriel.label_tag }} {{ form.courriel }} {{ form.courriel.errors }}
    </div>
    <div class="form-group mb-2">
        {{ form.relation.label_tag }} {{ form.relation }} {{ form.relation.errors }}
    </div>

    <div class="row mb-2">
        <div class="col-md-8 form-group">
            <div>{{ form.est_repondant }} {{ form.est_repondant.label_tag|strip_colon }} {{ form.est_repondant.errors }}</div>
            <div>{{ form.est_referent }} {{ form.est_referent.label_tag|strip_colon }} {{ form.est_referent.errors }}</div>
            <div>{{ form.admin }} {{ form.admin.label_tag|strip_colon }} {{ form.admin.errors }}</div>
            {% if form.contractant %}
            <div>
                {{ form.contractant }} {{ form.contractant.label_tag|strip_colon }} {{ form.contractant.errors }}
                <span class="help_icon">
                    <img class="icon" src="{% static 'img/help.svg' %}" data-bs-toggle="tooltip"
                         title="À cocher si le contrat alarme est au nom de cette personne.">
                </div>
            </div>
            {% endif %}
            {% if form.contact_visites %}
            <div>
                {{ form.contact_visites }} {{ form.contact_visites.label_tag|strip_colon }}
                {{ form.contact_visites.errors }}
            </div>
            {% endif %}
        </div>
        <div id="bloc_facturation" class="col-md-4 form-group">
            <div>{{ form.facturation_pour.label_tag }} {{ form.facturation_pour }} {{ form.facturation_pour.errors }}</div>
            {% if form.no_debiteur %}
            <div>{{ form.no_debiteur.label_tag }} {{ form.no_debiteur }} {{ form.no_debiteur.errors }}</div>
            {% endif %}
        </div>
    </div

    {% if form.courrier_envoye %}
    <div class="row mb-2">
        <div class="col form-group">
            {{ form.courrier_envoye }} {{ form.courrier_envoye.label_tag|strip_colon }} {{ form.courrier_envoye.errors }}
            {% if form.instance.pk and not form.instance.courrier_envoye %}
                <a href="{% url 'client-referent-courrier' form.instance.client.pk form.instance.pk %}" target="_blank" class="ms-3" title="Courrier pour le répondant (PDF)">
                    <img class="icon" src="{% static 'ficons/pdf.svg' %}">
                </a>
            {% endif %}
        </div>
    </div>
    {% endif %}

    <div class="form-group mb-2">
        {{ form.remarques.label_tag }} {{ form.remarques }} {{ form.remarques.errors }}
    </div>

    {% with formset=form.formset %}
    {{ formset.management_form }}
    <div class="row reset">
        <div class="col-1 fw-bold">Prior.</div>
        <div class="col-4 fw-bold">N° de téléphone</div>
        <div class="col-6 fw-bold">Remarque</div>
        <div class="col-1 fw-bold"></div>
    </div>
    <div class="div-sortable">
    {% for subform in formset %}
    <div class="row fset-line" draggable="true">
        <div class="col-1 pt-1 priorite"></div>
        <div class="col-4 pt-1">{{ subform.tel.errors }}{{ subform.tel }}</div>
        <div class="col-6 pt-1">
            {{ subform.remarque.errors }}{{ subform.remarque }}
            {% for hidden in subform.hidden_fields %}{{ hidden }}{% endfor %}
        </div>
        <div class="col-1 pt-1">
            <span class="delete-formset-link"><img src="{% static 'admin/img/icon-deletelink.svg' %}"></span>
        </div>
    </div>
    {% endfor %}
    </div>
    <div class="row empty_form" hidden>
        <div class="col-1 pt-1 priorite"></div>
        <div class="col-4 pt-1">{{ formset.empty_form.tel.errors }}{{ formset.empty_form.tel }}</div>
        <div class="col-6 pt-1">
            {{ formset.empty_form.remarque.errors }}{{ formset.empty_form.remarque }}
            {% for hidden in formset.empty_form.hidden_fields %}{{ hidden }}{% endfor %}
        </div>
        <div class="col-1 pt-1"></div>
    </div>
    {% endwith %}
    <button type="button" class="btn btn-primary add_more">+</button>
</form>
